- Main Page
- Modules
- Namespaces
- Classes
- Files
- Related Pages

- File List
- File Members

# FMath/FMInteger.h File Reference

The file containing functions and constants for integer values. More...

Go to the source code of this file.

## Typedefs
typedef fm::vector< int32, true > | Int32List
| A dynamically-sized array of 32-bit signed integer values.
typedef fm::vector< uint32, true > | UInt32List
| A dynamically-sized array of 32-bit unsigned integer values.
typedef fm::vector< uint16, true > | UInt16List
| A dynamically-sized array of 16-bit unsigned integer values.
typedef fm::vector< uint8, true > | UInt8List
| A dynamically-sized array of 8-bit unsigned integer values.
typedef fm::vector< int8, true > | Int8List
| A dynamically-sized array of 8-bit signed integer values.
typedef fm::vector< bool, true > | BooleanList
| A dynamically-sized array of boolean values.
## Functions
bool | IsEquivalent (int8 i1, int8 i2)
| Returns whether two signed or unsigned integers are equivalent.
bool | IsEquivalent (uint8 i1, uint8 i2)
| See above.
bool | IsEquivalent (int16 i1, int16 i2)
| See above.
bool | IsEquivalent (uint16 i1, uint16 i2)
| See above.
bool | IsEquivalent (int32 i1, int32 i2)
| See above.
bool | IsEquivalent (uint32 i1, uint32 i2)
| See above.
bool | IsEquivalent (int64 i1, int64 i2)
| See above.
bool | IsEquivalent (uint64 i1, uint64 i2)
| See above.
bool | IsEquivalent (bool b1, bool b2)
| Returns whether two Booleans are equivalent.

## Detailed Description

The file containing functions and constants for integer values.

## Function Documentation

bool IsEquivalent | ( | bool | b1,
|  | bool | b2
| ) | `[inline]`

  | Returns whether two Booleans are equivalent. Parameters:
  | b1 | A first Boolean.
  | b2 | A second Boolean.
Returns: Whether the two Booleans are equivalent.

bool IsEquivalent | ( | int8 | i1,
|  | int8 | i2
| ) | `[inline]`

  | Returns whether two signed or unsigned integers are equivalent. For integers, this function simply wraps around the operator==. Parameters:
  | i1 | A first integer.
  | i2 | A second integer.
Returns: Whether the two integers are equivalent.